Lxappearance segfaults

lxappearance
[1]    1311835 segmentation fault (core dumped)  lxappearance

Found this:
https://bbs.archlinux.org/viewtopic.php?id=264768
I do use Bibata cursors but have done for months.

had same … fixed now but breeze icons for me

It has got to be something else, these icon themes have been installed for a long time. A library mismatch?

i removed breeze . everything fine

it happen on pinebook pro lastnight … just think " what i break now " :rofl: it no normal day i no break something…

i on pi4 and see update so i change theme (everything ok ) update and segfault on pi4. still no sure what did it , i go through update list now

I can’t remove breeze. I also run KDE. Everything was fine on the 18th (I did a Timeshift restore), but it is not obvious from the logs what it could be, further investigations are needed :mag:

i no use kde … if can move breeze into diff dir or make temp dir. + Bibata cursors see if that work

flameshot-git r1306.442b189-1 -> r1312.3fca053-1
gst-plugins-pulseeffects-git 5.0.2.r0.gf0ea02e5-1 -> 5.0.2.r2.g240f30cd-1
inxi 3.3.02.1-1 -> 3.3.03.1-1
key-mapper-git 0.7.0+14+g5a49131-1 -> 0.7.0+16+g1f8118a-1
libcaca 0.99.beta19-3 -> 0.99.beta19-4
libgusb 0.3.5-1 -> 0.3.6-1
linux-firmware 20210208.b79d239-1 -> 20210315.3568f96-1
linux-lts 5.10.23-1 -> 5.10.24-1
linux-lts-headers 5.10.23-1 -> 5.10.24-1
lollypop 1.4.15-1 -> 1.4.17-1
nodejs 15.11.0-1 -> 15.12.0-1
pulseeffects-git 5.0.2.r0.gf0ea02e5-1 -> 5.0.2.r2.g240f30cd-1
sqlite 3.35.1-2 -> 3.35.2-1
strace 5.10-1 -> 5.11-1
vivaldi 3.6.2165.40-1 -> 3.7.2218.45-1
bind 9.16.12-1 -> 9.16.13-1
broot 1.2.8-1 -> 1.2.9-1
ca-certificates-mozilla 3.62-1 -> 3.63-1
exa 0.9.0-2 -> 0.9.0-3
gnome-control-center 3.38.4-1 -> 3.38.5-1
gnome-disk-utility 3.38.2-1 -> 40.0-1
gvfs 1.46.2-1 -> 1.48.0-1
gvfs-afc 1.46.2-1 -> 1.48.0-1
gvfs-goa 1.46.2-1 -> 1.48.0-1
gvfs-gphoto2 1.46.2-1 -> 1.48.0-1
gvfs-mtp 1.46.2-1 -> 1.48.0-1
gvfs-nfs 1.46.2-1 -> 1.48.0-1
gvfs-smb 1.46.2-1 -> 1.48.0-1
key-mapper-git 0.7.0+16+g1f8118a-1 -> 0.7.1+2+gdab15cc-1
lib32-nspr 4.29-1 -> 4.30-1
lib32-nss 3.62-1 -> 3.63-1
nspr 4.29-1 -> 4.30-1
nss 3.62-1 -> 3.63-1
python-gobject 3.38.0-3 -> 3.40.0-1
qt6-3d 6.1.0beta1-1 -> 6.1.0beta2-1
qt6-5compat 6.1.0beta1-1 -> 6.1.0beta2-1
qt6-base 6.1.0beta1-1 -> 6.1.0beta2-1
qt6-declarative 6.1.0beta1-1 -> 6.1.0beta2-1
qt6-doc 6.1.0beta1-1 -> 6.1.0beta2-1
qt6-examples 6.1.0beta1-1 -> 6.1.0beta2-1
qt6-imageformats 6.1.0beta1-1 -> 6.1.0beta2-1
qt6-networkauth 6.1.0beta1-1 -> 6.1.0beta2-1
qt6-quick3d 6.1.0beta1-1 -> 6.1.0beta2-1
qt6-quickcontrols2 6.1.0beta1-1 -> 6.1.0beta2-1
qt6-quicktimeline 6.1.0beta1-1 -> 6.1.0beta2-1
qt6-shadertools 6.1.0beta1-1 -> 6.1.0beta2-1
qt6-svg 6.1.0beta1-1 -> 6.1.0beta2-1
qt6-tools 6.1.0beta1-1 -> 6.1.0beta2-1
qt6-translations 6.1.0beta1-1 -> 6.1.0beta2-1
qt6-wayland 6.1.0beta1-1 -> 6.1.0beta2-1
ruby-bundler 2.2.14-1 -> 2.2.15-1
snapper 0.8.15-1 -> 0.8.16-1
webkit2gtk 2.30.5-1 -> 2.30.6-1
wpebackend-fdo 1.8.1-1 -> 1.8.2-1
lib32-amdvlk 2021.Q1.5-1 -> 2021.Q1.6-1
perl-net-http 6.20-1 -> 6.21-1
python-google-auth-httplib2 0.0.4-3 -> 0.1.0-1
python-soupsieve 2.2-1 -> 2.2.1-1
at-spi2-core 2.38.0-1 -> 2.40.0-1
emacs-native-comp-git 28.0.50.147347-1 -> 28.0.50.147464-1
eos-bash-shared 1.6.4-1 -> 1.6.5-1
flameshot-git r1312.3fca053-1 -> r1315.32d7adc-1
glib-networking 2.66.0-1 -> 1:2.66.0-1
python-pep517 0.9.1-3 -> 0.10.0-1
python-setuptools 1:54.1.1-1 -> 1:54.1.2-1
vim-youcompleteme-git r2784.dbf67638-2 -> r2786.1278fd80-1
hwdetect 2016.01-3 -> 2016.01-4
kiconthemes 5.80.0-1 -> 5.80.0-2
python-daemon 2.2.4-5 -> 2.3.0-1
python-pypandoc 1.5-4 -> 1.5-5
sqlite 3.35.2-1 -> 3.35.2-2
akm 2.7.12-1 -> 2.8-1
glib-networking 1:2.66.0-1 -> 1:2.68.0-1
glib2 2.66.7-1 -> 2.68.0-2
gobject-introspection 1.66.1-3 -> 1.68.0-1
gobject-introspection-runtime 1.66.1-3 -> 1.68.0-1
python-pyxdg 0.26-8 -> 0.27-1
imagemagick 7.0.11.3-1 -> 7.0.11.4-1
vim-youcompleteme-git r2786.1278fd80-1 -> r2787.3352684b-1
yelp-xsl 3.38.3-1 -> 40.0-1
akm 2.8-1 -> 2.8.1-1
cronie 1.5.5-2 -> 1.5.6-1
eos-bash-shared 1.6.5-1 -> 1.6.6-1
lib32-krb5 1.18.3-1 -> 1.19.1-1
openmpi 4.0.5-2 -> 4.0.5-3
otf-font-awesome 5.15.2-1 -> 5.15.3-1
python-reportlab 3.5.65-1 -> 3.5.66-1
thunar 4.16.5-1 -> 4.16.6-1
ttf-font-awesome 5.15.2-1 -> 5.15.3-1
welcome 3.10.4-1 -> 3.10.5-1
eos-bash-shared 1.6.6-1 -> 1.6.7-1
akonadi 20.12.3-1 -> 21.03.80-1
akonadi-calendar 20.12.3-1 -> 21.03.80-1
akonadi-calendar-tools 20.12.3-1 -> 21.03.80-1
akonadi-contacts 20.12.3-1 -> 21.03.80-1
akonadi-import-wizard 20.12.3-1 -> 21.03.80-1
akonadi-mime 20.12.3-1 -> 21.03.80-1
akonadi-notes 20.12.3-1 -> 21.03.80-1
akonadi-search 20.12.3-1 -> 21.03.80-1
akonadiconsole 20.12.3-1 -> 21.03.80-1
akregator 20.12.3-1 -> 21.03.80-1
ark 20.12.3-1 -> 21.03.80-1
baloo-widgets 20.12.3-1 -> 21.03.80-1
bibata-cursor-theme 1.1.0-2 -> 1.1.0-3
calendarsupport 20.12.3-1 -> 21.03.80-1
cervisia 20.12.3-1 -> 21.03.80-1
dolphin 20.12.3-1 -> 21.03.80-1
dolphin-plugins 20.12.3-1 -> 21.03.80-1
eventviews 20.12.3-1 -> 21.03.80-1
grantlee-editor 20.12.3-1 -> 21.03.80-1
grantleetheme 20.12.3-1 -> 21.03.80-1
gtk2 2.24.33-1 -> 2.24.33-2
gvfs 1.48.0-1 -> 1.48.0-2
gvfs-afc 1.48.0-1 -> 1.48.0-2
gvfs-goa 1.48.0-1 -> 1.48.0-2
gvfs-gphoto2 1.48.0-1 -> 1.48.0-2
gvfs-mtp 1.48.0-1 -> 1.48.0-2
gvfs-nfs 1.48.0-1 -> 1.48.0-2
gvfs-smb 1.48.0-1 -> 1.48.0-2
incidenceeditor 20.12.3-1 -> 21.03.80-1
kaccounts-integration 20.12.3-1 -> 21.03.80-1
kaddressbook 20.12.3-1 -> 21.03.80-1
kalarm 20.12.3-1 -> 21.03.80-1
kalarmcal 20.12.3-1 -> 21.03.80-1
kapptemplate 20.12.3-1 -> 21.03.80-1
kate 20.12.3-1 -> 21.03.80-1
kcachegrind 20.12.3-1 -> 21.03.80-1
kcachegrind-common 20.12.3-1 -> 21.03.80-1
kcalutils 20.12.3-1 -> 21.03.80-1
kde-dev-scripts 20.12.3-1 -> 21.03.80-1
kde-dev-utils 20.12.3-1 -> 21.03.80-1
kdeconnect 20.12.3-1 -> 21.03.80-1
kdepim-addons 20.12.3-1 -> 21.03.80-1
kdepim-runtime 20.12.3-1 -> 21.03.80-1
kdesdk-kioslaves 20.12.3-1 -> 21.03.80-1
kdesdk-thumbnailers 20.12.3-1 -> 21.03.80-1
kidentitymanagement 20.12.3-1 -> 21.03.80-1
kimap 20.12.3-1 -> 21.03.80-1
kio-extras 20.12.3-1 -> 21.03.80-1
kirigami-gallery 20.12.3-1 -> 21.03.80-1
kitinerary 20.12.3-1 -> 21.03.80-1
kldap 20.12.3-1 -> 21.03.80-1
kleopatra 20.12.3-1 -> 21.03.80-1
kmail 20.12.3-1 -> 21.03.80-1
kmail-account-wizard 20.12.3-1 -> 21.03.80-1
kmailtransport 20.12.3-1 -> 21.03.80-1
kmbox 20.12.3-1 -> 21.03.80-1
kmime 20.12.3-1 -> 21.03.80-1
knotes 20.12.3-1 -> 21.03.80-1
kompare 20.12.3-1 -> 21.03.80-1
konsole 20.12.3-1 -> 21.03.80-1
kontact 20.12.3-1 -> 21.03.80-1
kontactinterface 20.12.3-1 -> 21.03.80-1
korganizer 20.12.3-1 -> 21.03.80-1
kpimtextedit 20.12.3-1 -> 21.03.80-1
kpkpass 20.12.3-1 -> 21.03.80-1
ksmtp 20.12.3-1 -> 21.03.80-1
ktnef 20.12.3-1 -> 21.03.80-1
libakonadi 20.12.3-1 -> 21.03.80-1
libgravatar 20.12.3-1 -> 21.03.80-1
libkdepim 20.12.3-1 -> 21.03.80-1
libkexiv2 20.12.3-1 -> 21.03.80-1
libkgapi 20.12.3-1 -> 21.03.80-1
libkipi 20.12.3-1 -> 21.03.80-1
libkleo 20.12.3-1 -> 21.03.80-1
libkomparediff2 20.12.3-1 -> 21.03.80-1
libksieve 20.12.3-1 -> 21.03.80-1
linux 5.11.7.arch1-1 -> 5.11.8.arch1-1
linux-headers 5.11.7.arch1-1 -> 5.11.8.arch1-1
linux-lts 5.10.24-1 -> 5.10.25-1
linux-lts-headers 5.10.24-1 -> 5.10.25-1
linux-zen 5.11.7.zen1-1 -> 5.11.8.zen1-1
linux-zen-headers 5.11.7.zen1-1 -> 5.11.8.zen1-1
lokalize 20.12.3-1 -> 21.03.80-1
mailcommon 20.12.3-1 -> 21.03.80-1
mailimporter 20.12.3-1 -> 21.03.80-1
mbox-importer 20.12.3-1 -> 21.03.80-1
messagelib 20.12.3-1 -> 21.03.80-1
nettle 3.7.1-1 -> 3.7.2-1
okular 20.12.3-1 -> 21.03.80-1
openra 20200503-2 -> 20210321-1
pim-data-exporter 20.12.3-1 -> 21.03.80-1
pim-sieve-editor 20.12.3-1 -> 21.03.80-1
pimcommon 20.12.3-1 -> 21.03.80-1
pipewire 1:0.3.23-1 -> 1:0.3.24-1
pipewire-jack 1:0.3.23-1 -> 1:0.3.24-1
pipewire-pulse 1:0.3.23-1 -> 1:0.3.24-1
poxml 20.12.3-1 -> 21.03.80-1
print-manager 20.12.3-1 -> 21.03.80-1
r8168 8.048.03-76 -> 8.048.03-77
signon-kwallet-extension 20.12.3-1 -> 21.03.80-1
spectacle 20.12.3-1 -> 21.03.80-1
umbrello 20.12.3-1 -> 21.03.80-1
neovim 0.4.3-3 -> 0.4.4-1
zsh-completions-git 0.32.0.r58.gf1ab611-1 -> 0.32.0.r60.g788926f-1
imagemagick 7.0.11.3-1 -> 7.0.11.4-1

they on my list

Doesn’t appear to be those (tested).

1 Like

Found it, didn’t spot it first run through - glib2. Downgraded and all good.

1 Like

@Bryanpwo does this count as a bug as it is an upstream package??

Of course, it counts as a bug, you’ve mentioned it in the right category. :wink: From what I understand you downgraded glib2, so it is an issue with the new version of that package and you found the temporary workaround, right?

Yes, downgrading fixes. Another symptom I noticed is smaller text in the right click menu in Vivaldi.

It seems to be an old bug and it was reopened last year, perhaps if more people posted this bug over there, they give it more priority

https://bugs.archlinux.org/task/65898?project=5&string=lxappearance

Pango has just been updated, so I guess the text size will return to its original size.

[2021-03-22T19:41:50-0300] [ALPM] upgraded pango (1:1.48.3-1 -> 1:1.48.3-2)

https://bugs.archlinux.org/task/70131
I posted on the mothership’s forum, seems to be a Gnome issue :smiley:

1 Like

Today a new update for glib2 rolled out, perhaps it fixes the issue?

Will test.

No, same problem.

Well, it was worth the try.

@Bryanpwo - now working 2.68.0-4 has been rolled out and lxappearence is now functional.

2 Likes